Bug 1316355 - [fedora-release] multiple error messages during update of fedora-release-workstation
[fedora-release] multiple error messages during update of fedora-release-work...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
24
noarch Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 22:03 EST by Joachim Frieben
Modified: 2016-03-29 08:10 EDT (History)
6 users (show)

See Also:
Fixed In Version: fedora-release-24-0.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 08:10:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2016-03-09 22:03:43 EST
Description of problem:
When updating to the latest fedora-release packages, a number of error messages are reported:

Updating / installing...
   1:fedora-release-24-0.14           ################################# [ 50%]
   2:fedora-release-workstation-24-0.1################################# [100%]
Generating grub configuration file ...
File descriptor 7 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 13 (/var/lib/rpm/.rpm.lock) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 30 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 31 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 32 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 7 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 13 (/var/lib/rpm/.rpm.lock) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 30 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 31 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
File descriptor 32 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5220: /usr/sbin/grub2-probe
Found linux image: /boot/vmlinuz-4.5.0-0.rc7.git0.2.fc24.x86_64
Found initrd image: /boot/initramfs-4.5.0-0.rc7.git0.2.fc24.x86_64.img
File descriptor 7 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 13 (/var/lib/rpm/.rpm.lock) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 30 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 31 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 32 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 7 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 13 (/var/lib/rpm/.rpm.lock) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 30 (/etc/yum.repos.d) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 31 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
File descriptor 32 (/usr/lib/variant) leaked on vgs invocation. Parent PID 5379: /usr/sbin/grub2-probe
done
error: lua script failed: [string "%post(fedora-release-workstation-24-0.14.noarch)"]:56: /usr/sbin/grub2-mkconfig exited with status 5147.0

Version-Release number of selected component (if applicable):
fedora-release-workstation-24-0.14.noarch

How reproducible:
Always

Steps to Reproduce:
1. Update fedora-release packages.

Actual results:
Multiple error messages are issued.

Expected results:
No error messages are issued.

Additional info:
None
Comment 1 Stephen Gallagher 2016-03-10 08:18:11 EST
Yeah, there were several edge-cases I didn't consider when using grub2-mkconfig there. I've submitted a PR to remove that call entirely.

https://pagure.io/fedora-release/pull-request/36
Comment 2 Mike McCune 2016-03-28 18:27:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.